LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Update Oracle JDK from 7u-51 to 7u-55 or to 8u5 (http://www.linuxquestions.org/questions/slackware-14/update-oracle-jdk-from-7u-51-to-7u-55-or-to-8u5-4175502077/)

tronayne 04-17-2014 12:38 PM

Update Oracle JDK from 7u-51 to 7u-55 or to 8u5
 
Oracle released updated Java packages 14 April: 7u-55 and 8u5 (I don't use OpenJava because it doesn't work right with applications I have, in particular, DSpace).

So, I'm wondering, is an update to 8u5 feasible and compatible with 7u55? Or wait a while before moving to Java 8 (I've just installed 7u55, no runs, drips or errors)?

Anybody with any experience?

phenixia2003 04-17-2014 01:10 PM

Hello,

The JDK 8 is backward compatible with JDK 7. However, it would be better to read this page first.

If you want to install the JDK 8 with the slackbuild from SlackBuilds.org, you will have to update the variable VERSION (from 7u51 to 8u5) and change the line :

Code:

DVER=1.7.0_$(printf $VERSION | cut -du -f2)
to

Code:

DVER=1.8.0_05

--
SeB

tronayne 04-17-2014 01:57 PM

Quote:

Originally Posted by phenixia2003 (Post 5154641)

The JDK 8 is backward compatible with JDK 7. However, it would be better to read this page first.

Ah, looks some time with the development box; thanks for that link (I'm getting old, blinder than a bat and I didn't see it anywhere).
Quote:

Originally Posted by phenixia2003 (Post 5154641)
If you want to install the JDK 8 with the slackbuild from SlackBuilds.org, you will have to update the variable VERSION (from 7u51 to 8u5) and change the line :

Code:

DVER=1.7.0_$(printf $VERSION | cut -du -f2)
to

Code:

DVER=1.8.0_05

Well, I use the Slackbuild from the extra/java directory and automagically does the version, but good to know!

Thanks for the input.


All times are GMT -5. The time now is 09:49 AM.